Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Error : SWTBot plugin(Error while installing SWTBot plugin.)
Error : SWTBot plugin [message #1494479] Mon, 01 December 2014 14:04 Go to next message
Amol Badgujar is currently offline Amol BadgujarFriend
Messages: 4
Registered: November 2014
Junior Member
Hi Experts,

I am getting below error while installing SWTBot from below update URL:

Cannot complete the install because one or more required items could not be found.

Software being installed: SWTBot Recorder and Test Generator (Provisional) (

Missing requirement: SWTBot Code Generator UI Plug-in (incubation) (org.eclipse.swtbot.generator.ui requires 'bundle org.eclipse.pde.launching 0.0.0' but it could not be found

Cannot satisfy dependency:
From: SWTBot Recorder and Test Generator (Provisional) (

To: org.eclipse.swtbot.generator.ui []

could you please help me here ?

Thanks in advance.
Re: Error : SWTBot plugin [message #1496609 is a reply to message #1494479] Wed, 03 December 2014 05:55 Go to previous messageGo to next message
Toshihiro Izumi is currently offline Toshihiro IzumiFriend
Messages: 360
Registered: July 2009
Location: Japan
Senior Member
See Preferences->Install/Update->Available Software Sites
Make sure you have Luna update site( and it is enabled.
(also, it is necessary to check "Contact all update sites during install to find required software" in the Install dialog)
Re: Error : SWTBot plugin [message #1779008 is a reply to message #1494479] Thu, 28 December 2017 09:29 Go to previous message
minhang kang is currently offline minhang kangFriend
Messages: 7
Registered: December 2017
Junior Member
hi,how did you install SWTBot plugin in the end?I meet the same problem.
Looking forward to your reply.
Thanks in advance.
Previous Topic:Find my message
Next Topic:"Launch Failed. Binary Not Found" HELP
Goto Forum:

Current Time: Thu Mar 22 10:20:46 GMT 2018

Powered by FUDForum. Page generated in 0.07893 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software